Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.optional.image
Class Text

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.optional.image.ImageOperation
                        |
                        +--org.apache.tools.ant.types.optional.image.Text

All Implemented Interfaces:
  DrawOperation

public class Text
extends ImageOperation
implements DrawOperation

See Also:
  `Image`

Field Summary

Fields inherited from class org.apache.tools.ant.types.optional.image.ImageOperation
`instructions`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Text()`

Method Summary
`javax.media.jai.PlanarImage` | `executeDrawOperation()` Abstract method which is intended to create an image buffer and return it so it can be drawn into another object.
`void` | `setBold(boolean state)`
`void` | `setColor(java.lang.String c)`
`void` | `setFont(java.lang.String f)`
`void` | `setItalic(boolean state)`
`void` | `setPoint(java.lang.String p)`
`void` | `setString(java.lang.String str)`

Methods inherited from class org.apache.tools.ant.types.optional.image.ImageOperation
`addDraw, addRectangle, addRotate, addScale, addText`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Text

    public Text()

Method Detail

### setString

    public void setString(java.lang.String str)

### setFont

    public void setFont(java.lang.String f)

### setPoint

    public void setPoint(java.lang.String p)

### setColor

    public void setColor(java.lang.String c)

### setBold

    public void setBold(boolean state)

  To do:
    is this used?

### setItalic

    public void setItalic(boolean state)

  To do:
    is this used?

### executeDrawOperation

    public javax.media.jai.PlanarImage executeDrawOperation()

  Description copied from interface: `DrawOperation`
  Abstract method which is intended to create an image buffer and return it so it can be drawn into another object. Use an Alpha channel for a "transparent" background.

  Specified by:
    `executeDrawOperation` in interface `DrawOperation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.